Download it now!
Bug 79045 - Text alignment issue while importing PDF
Summary: Text alignment issue while importing PDF
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
4.2.4.2 release
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.5.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-22 02:07 UTC by Biju
Modified: 2015-01-23 03:14 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Biju 2014-05-22 02:07:03 UTC
+++ This bug was initially created as a clone of Bug #78807 +++

Version: 4.2.5.0.0+
Build ID: da739f729223908516deb1c2564d0713231abb5b
Tested on WinXP

Text alignment issue while importing PDF

See phone # not aligned correct on Page 16 
http://www.bissell.com/assets/0/132/134/228/78366bd2-6286-4bf0-a2c1-0aa5491466e6.pdf

Actual
attachment 99194 [details]  page_16_LO.PNG

Expected
attachment 99195 [details]  page_16_FF.PNG
Comment 1 tommy27 2014-06-18 02:41:48 UTC
reproducible under Win7x64 using LibO 4.2.4.2
status NEW
Comment 2 vvort 2015-01-22 08:45:45 UTC
Fixed here:
https://gerrit.libreoffice.org/14098
Comment 3 Commit Notification 2015-01-22 09:14:41 UTC
Vort committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7c3386f279e5ea3a1d9b7694412f5c34b5183bab

fdo#79045 PDF Import: fix text displacement

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Joel Madero 2015-01-22 21:23:43 UTC
Can this be backported to 4.4 and 4.3?
Comment 5 vvort 2015-01-23 03:14:15 UTC
I don't know how backporting works here.
But I can say that this commits must be applied together:
http://cgit.freedesktop.org/libreoffice/core/commit/?id=7818c73445ad8e08e7ee51e2cc3a4b4d5a798ac4
http://cgit.freedesktop.org/libreoffice/core/commit/?id=37e4920a310c265848ebbf7205efad26f71d928c
http://cgit.freedesktop.org/libreoffice/core/commit/?id=df54862ec61c81a39b7ccfadc292b5bf859f45fa
(partial revert of previous two)
http://cgit.freedesktop.org/libreoffice/core/commit/?id=7c3386f279e5ea3a1d9b7694412f5c34b5183bab
(this commit)
(or maybe they can be converted into one commit)
Actual changes there are only in function PDFOutDev::drawChar.